Skip to main content
POST
/
api
/
v1
/
custom_pipelines
/
{pipeline_id}
/
transfer
Transfer Custom Pipeline
import requests

url = "https://www.datalab.to/api/v1/custom_pipelines/{pipeline_id}/transfer"

payload = { "to_team_id": "123" }
headers = {
    "X-API-Key": "<api-key>",
    "Content-Type": "application/x-www-form-urlencoded"
}

response = requests.post(url, data=payload, headers=headers)

print(response.text)
{
  "success": true,
  "pipeline_id": "<string>",
  "from_team_id": 123,
  "to_team_id": 123,
  "message": "<string>"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

pipeline_id
string
required

Cookies

wos-session
string
access_token
string
datalab_active_team
string

Body

application/x-www-form-urlencoded
to_team_id
integer
required

Team ID to transfer the pipeline to

Response

Successful Response

Response schema for transferring a custom pipeline to another team.

success
boolean
required

Whether the transfer was successful

pipeline_id
string
required

The pipeline ID that was transferred

from_team_id
integer
required

Team ID the pipeline was transferred from

to_team_id
integer
required

Team ID the pipeline was transferred to

message
string
required

Success or error message